#ifndef _CP_database_H
#define _CP_database_H

/**
 * @addtogroup cp_dbms
 */
/** @{ */
/**
 * @file
 * definitions for DATABASE driver
 */

#include "common.h"
#include "db.h"

__BEGIN_DECLS

cp_data_source *
    cp_DATABASE_data_source(char *host, 
                            int port, 
                            char *login, 
                            char *password, 
                            char *db_name /*, 
                            ...
                            additional parameters for DATABASE
                            ...
                            */);

cp_data_source *
    cp_dbms_DATABASE_get_data_source(char *host, 
                                     int port, 
                                     char *login, 
                                     char *password,
                                     char *dbname);

cp_data_source *
    cp_dbms_DATABASE_get_data_source_prm(char *host,
                                         int port, 
                                         char *login, 
                                         char *password, 
                                         char *dbname, 
                                         cp_hashtable *prm);

typedef struct _cp_DATABASE_connection_parameters
{
    char *host;
    int port;
    char *login;
    char *password;
    char *db_name;
/*
 *  additional parameters for DATABASE
 */
} cp_DATABASE_connection_parameters;

__END_DECLS

/** @} */

#endif
